Помилка "corrupted" при встановленні драйвера HPLIP для принтерів HP

  у розділі Технічні теми 

HPLIP

Встановлюю принтер HP M125nw через sudo hp-setup -i, нікого не чіпаю, а воно після кроку завантаження свариться:

error: /home/username/.hplip/hplip-3.15.2-plugin.run file does not match its checksum. File may have been corrupted or altered

Глюк, виявляється, відомий в багатьох дистрибутивах Linux (в мене Ubuntu Mate 15.04). Треба зайти руцями на сайт HPLIP і завантажити файли потрібної версії. Повинно бути 2 файли, з розширеннями .run і .asc.

Їх можна покласти в домашню директорію і вже звідти запустити hp-setup -i, а на кроці завантаження сказати що потрібні файли вже є на диску.


Коментарі